import { PhysicalItemData } from "./base-item.mjs";
const fields = foundry.data.fields;

export default class ItemData extends PhysicalItemData {
    static defineSchema() {
        const schema = super.defineSchema();
        schema.subType.initial = "loot";
        schema.software = new fields.SchemaField({
            bandwidth: new fields.NumberField({ required: false, initial: 0, min: 0, max: 10, integer: true }),
            effect: new fields.StringField({ required: false, blank: true, trim: true, initial: "" }),
            computerId: new fields.StringField({ required: false, blank: true, initial: "" })
        });
        return schema;
    }
}
